dupa

Author Topic: "Ultra Assistant 4.0 was found on your system. Install Ultral hal first" ...  (Read 1970 times)

Baba

  • Newbie
  • *
  • Posts: 5
    • View Profile
Hi all,

I purchased Ultra Hal, then got the expansion pack as well.

I tried to download and install the A.L.I.C.E plugin and got the following message :

--> Ultra Hal Assistant 4.0 was found on your system. Install Ultra Hal Assistant first, then install this plugin. You may download ultra Hal Assistant 4.0 from zabaware.com.<--

I don't understand ; the version I bought and installed is 6.0, what is going on? oO It says this for all the plugins I tried to install.

cheers,
Baba.

raybe

  • Hero Member
  • *****
  • Posts: 1020
    • View Profile
Baba,

As you learn and read thru some posts you will find that certain plug-ins were developed prior to the newest version release you now purchased. This was all done by certain members to help bring Ultra-Hal to the stage it is currently. Some worked well some needed tweaking as Robert M. the developer also added and changed Ultra-Hal to satisfy the customers and potential customers of the features that were thought to be the most important.

Alice was, if I remember correctly and could be wrong about the facts but the premise is the same developed for a different means for Ultra-Hal to store or at least have different responses giving Ultra-Hal the possibility of even more or considerably different ways of learning and answering even though built on the same foundation, hence individuals writing plug-ins for features that others may have wanted to include without Robert M. changing the entire Ultra-Hal format. This would allow people if they wanted to incorporate features if they desired or not.

Plug-ins even today are are very successful in helping develop Ultra-Hal in an individual way but can can cause certain unwanted effects because of the technical language added and having to be compatible with other plug-ins as well as Ultra-Hal. Some where developed over the years and some were left up to the user.

If anyone would like to correct me please feel free or add comments.

Hope you understand and keep reading threads today and past so you may understand the full development of this great program. Don't be shy and ask away.

Please remember that this forum is voluntary and not to be considered a support feature for Ultra-Hal although it has been. The members here take of their own time to participate, share and help in the technical features of Ultra-Hal and Robert does join in when time allowed and answers certain problems when he is available.

Thanks and welcome,
raybe
 

Baba

  • Newbie
  • *
  • Posts: 5
    • View Profile
thanks for the reply Raybe :)

Leo

  • Newbie
  • *
  • Posts: 20
    • View Profile
I had the same problem.

Also, I all ready have plugins in folder, but plugin installer seems to be from version 4.  Installer all ready has a .dat file, but am I supposed to create one myself?

This section of the forum is about version 6.2 but I don't know how to install plugins that appeared during installation.  Like the gender_age plugin.

I finally got Window 7 to read chm files, but brain editor does not have a Tools menu.
Are we now supposed to go everywhere and do everything manually?
Brain editor help file is hardly applicable to version 6.2 - or am I missing something...

Leo

  • Newbie
  • *
  • Posts: 20
    • View Profile
I had the same problem.

Also, I all ready have plugins in folder, but plugin installer seems to be from version 4.  Installer all ready has a .dat file, but am I supposed to create one myself?

Yes, just use Notepad. ::)
Copy/Paste into folder Ultra Hal Assistant 6 and still get version 4 error.
Brain tab only has advertisements for plugins.

I all ready have plugins in the folder by default, but cannot see any .uhp files through the program.
I've read where version 6.xx does not support on-the-fly plugins, but I thought that was what the PluginInstaller was for...?

Does the default brain have some sort of protection where one has to create one's own brain first and then you see brains in brain tab (version 6 it's an avatar)?

Some Brain Editor buttons are grayed out, so that's another reason why I'm thinking that maybe one cannot modify the default brain... :-\
This is like knowing how to give the car a tune-up but not knowing how to drive the thing.

- or do I need a first line of code/header for the PluginInstaller to work in version 6.xx?

I'm only guessing...